Bug 258137 - [NEW PORT] devel/hs-ormolu: formatter for Haskell source code
Summary: [NEW PORT] devel/hs-ormolu: formatter for Haskell source code
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-29 10:18 UTC by Alexis Praga
Modified: 2021-09-15 16:36 UTC (History)
2 users (show)

See Also:


Attachments
V.0.2.0.0 (initial PR) (4.41 KB, patch)
2021-08-29 10:18 UTC, Alexis Praga
no flags Details | Diff
v 0.3.0.0 (4.59 KB, patch)
2021-09-14 19:24 UTC, Alexis Praga
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Praga 2021-08-29 10:18:33 UTC
Created attachment 227527 [details]
V.0.2.0.0 (initial PR)

Ormolu is a formatter for Haskell source code, with one “true” formatting style resulting in minimal diffs. It is well-tested and robust

Tested on poudriere for amd64: 11.4, 12.2 and 13.0.
Comment 1 Alexis Praga 2021-09-14 19:24:23 UTC
Created attachment 227904 [details]
v 0.3.0.0

Update to 0.3.0.0
Comment 2 Neel Chauhan freebsd_committer 2021-09-15 16:35:53 UTC
Committed!
Comment 3 commit-hook freebsd_committer 2021-09-15 16:36:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6c8827c65d28db993fd1f4d350103acd06a063e8

commit 6c8827c65d28db993fd1f4d350103acd06a063e8
Author:     Alexis Praga <alexis.praga@free.fr>
AuthorDate: 2021-09-15 16:35:31 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-09-15 16:35:31 +0000

    devel/hs-ormolu: New port: formatter for Haskell source code

    PR:     258137

 devel/Makefile                    |  1 +
 devel/hs-ormolu/Makefile (new +x) | 27 +++++++++++++++++++++++++++
 devel/hs-ormolu/distinfo (new +x) | 35 +++++++++++++++++++++++++++++++++++
 devel/hs-ormolu/pkg-descr (new)   |  8 ++++++++
 4 files changed, 71 insertions(+)